# How to run a Next JS Project on Your Computer

## We are using these tools:

- **JavaScript**: a popular language for building web-based applications. It can also be used to build interactive UI that appears on the web, and it can perform functions in the background.
- **[Node JS](https://nodejs.dev/en/)**: allows you to run JavaScript code on your computer.
- **[React](https://react.dev/)**: a library for building applications with JavaScript.
- **[NextJS](https://nextjs.org/)**: a framework built on top of React.

<br/>
---

## 1. Install Node JS
Official Docs: [Follow these instructions to install Node JS](https://nodejs.dev/en/)

If you are successful, you will be able to check the Node version installed, like this:
```bash
$ node --version
v19.1.0
```

You will also have [Node Package Manager](https://nodejs.dev/en/learn/an-introduction-to-the-npm-package-manager/) installed. To confirm, try this:
```bash
$ npm --version
9.6.4
```

<br/>
---

## 2. Optional: Install Yarn
You can use `npm` in this course. An alternative to `npm` is called [Yarn](https://yarnpkg.com/getting-started). You can install Yarn if you want.

<br/>
---

## 3. On GitLab, Create a Fork of PPBL 2023 Front End Starter
Link: [PPBL 2023 Front End Starter repository](https://gitlab.com/gimbalabs/ppbl-2023/ppbl-2023-front-end-starter)

Follow the steps described in [Lesson 103.1](/modules/103/1031) to create your own fork of the PPBL 2023 Front End Starter.

For a quick review of how to do this, watch the video above.

<br/>
---

## 4. Clone Your Fork Locally
On your computer, you can clone your new copy of the PPBL 2023 Front End Starter.

In your `/PPBL2023/` directory:
```bash
git clone [url of your fork]
cd ppbl-2023-front-end-starter
```

<br/>
---

## 5. Install project
In the `/ppbl-2023-front-end-starter` directory, you can run one of the following commands:

```bash
npm install
```

or

```bash
yarn
```

<br/>
---

## 6. Run project
Then you can run the project. Be sure to use the same package manager as in Step 5:
```bash
npm run dev
```

or

```bash
yarn dev
```

<br/>
---

## 7. Open in browser
In a web browser, open [localhost:3000](http://localhost:3000)

If you can see the starter template, you are successful! Great - in a lot of ways, that was the hardest part. Now we get to play with it.



import MDXLessonLayout from "@/src/components/lms/Lesson/MDXLessonLayout.tsx";
export default ({ children }) => <MDXLessonLayout>{children}</MDXLessonLayout>;